#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xCC,0xFD,0x79,0x6B,0x5A,0x7C,0xD7,0x66,0xE3,0x7C,0x34,0xE2,
		0xE9,0x19,0xCF,0x40,0x2C,0xDC,0x54,0x5B,0xA5,0x0B,0x09,0x7E,
		0xD6,0x7C,0xA7,0xD4,0x40,0xF2,0x51,0x86,0x20,0xAE,0xCE,0x4A,
		0x43,0x60,0x62,0xD7,0xC7,0xDB,0xEC,0x84,0x3E,0xF0,0x04,0x94,
		0xB8,0x64,0x91,0x3E,0x05,0x08,0x2D,0x0E,0xCA,0xCD,0x88,0x58,
		0xE7,0x6B,0x12,0x9F,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
